1. Łukasz Langa
  2. configparser
  3. Issues
Issue #6 resolved

PyPy compatibility

tinche
created an issue

Hi,

I was looking forward to using this on PyPy as well, but I can't seem to install it:

(dbrpypy)tin@tin-desktop ~/pg/dbrpypy> pip install configparser
Downloading/unpacking configparser
  Running setup.py egg_info for package configparser
    error: <fdopen>: Bad file descriptor
    Complete output from command python setup.py egg_info:
    running egg_info

writing pip-egg-info/configparser.egg-info/PKG-INFO

error: <fdopen>: Bad file descriptor

----------------------------------------
Command python setup.py egg_info failed with error code 1 in /home/tin/pg/dbrpypy/build/configparser
Storing complete log in /home/tin/.pip/pip.log
(dbrpypy)tin@tin-desktop ~/pg/dbrpypy> pypy --version
Python 2.7.3 (2.1.0+dfsg-3~ppa1, Sep 15 2013, 01:10:06)
[PyPy 2.1.0 with GCC 4.6.3]
(dbrpypy)tin@tin-desktop ~/pg/dbrpypy> pip --version
pip 1.3.1 from /home/tin/pg/dbrpypy/site-packages/pip-1.3.1-py2.7.egg (python 2.7

Am I doing something wrong?

Comments (3)

  1. tinche reporter

    Interestingly enough, it works with easy_install:

    easy_install configparser
    Searching for configparser
    Reading https://pypi.python.org/simple/configparser/
    Best match: configparser 3.3.0r2
    Downloading https://pypi.python.org/packages/source/c/configparser/configparser-3.3.0r2.tar.gz#md5=dda0e6a43e9d8767b36d10f1e6770f09
    Processing configparser-3.3.0r2.tar.gz
    Writing /tmp/easy_install-1lkq8J/configparser-3.3.0r2/setup.cfg
    Running configparser-3.3.0r2/setup.py -q bdist_egg --dist-dir /tmp/easy_install-1lkq8J/configparser-3.3.0r2/egg-dist-tmp-uONQ3F
    Adding configparser 3.3.0r2 to easy-install.pth file
    
    Installed /home/tin/pg/configparser/site-packages/configparser-3.3.0r2-py2.7.egg
    Processing dependencies for configparser
    Finished processing dependencies for configparser
    
  2. Log in to comment